Bug 1252132 - jbosstools-teiid-designer-9.0.2.Final-SNAPSHOT-POC-v7.zip: Error message needs to more descriptive
jbosstools-teiid-designer-9.0.2.Final-SNAPSHOT-POC-v7.zip: Error message need...
Status: CLOSED DEFERRED
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
unspecified
All All
unspecified Severity low
: ---
: ---
Assigned To: Barry LaFond
Filip Elias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 15:04 EDT by Cojan van Ballegooijen
Modified: 2016-02-09 06:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-09 06:51:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An exception occurred while performing a VDB operation * null while trying a export an unsupported VDB to dynamic VDB (883.79 KB, image/png)
2015-08-10 15:04 EDT, Cojan van Ballegooijen
no flags Details
FinancialsVDB (224.88 KB, application/zip)
2015-08-10 15:07 EDT, Cojan van Ballegooijen
no flags Details
Actual VDB that won't export (225.02 KB, application/zip)
2015-08-10 16:07 EDT, Barry LaFond
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2779 Major Open Error message needs to more descriptive 2016-02-09 06:51 EST

  None (edit)
Description Cojan van Ballegooijen 2015-08-10 15:04:20 EDT
Created attachment 1061191 [details]
An exception occurred while performing a VDB operation  * null while trying a export an unsupported VDB to dynamic VDB

Document URL: 
N/A
Section Number and Name: 

Describe the issue: 
Installed jbosstools-teiid-designer-9.0.2.Final-SNAPSHOT-POC-v7.zip in JBDS 8.1.0.GA
to have the functionality (pre-production) of being able to generate Dynamic VDB out of VDBs.

Error message is not descriptive when trying to export a VDB to a Dynamic VDB
An exception occurred while performing a VDB operation
 * null

See attachment for screenshot. Trying to export the FinancialsVDB

Suggestions for improvement: 
null should be something like unsupported VDB

Additional information:
Comment 1 Cojan van Ballegooijen 2015-08-10 15:07:36 EDT
Created attachment 1061192 [details]
FinancialsVDB
Comment 3 Barry LaFond 2015-08-10 16:07:26 EDT
Created attachment 1061224 [details]
Actual VDB that won't export

The 2 Enterprise Data Layer virtual models contain views with column datatypes set to user's custom/Enterprise data types. The Exporter isn't looking for these, so it's not finding any compatible runtime types for the DDL statement.
Comment 4 Barry LaFond 2015-08-12 09:23:33 EDT
The VDB import/export feature won't make it into 9.0.x and will introduced in community in Designer 9.2 or 9.3.
Comment 5 Matus Makovy 2016-02-09 06:51:17 EST
We are tracking tooling issues in JIRA. I created a JIRA for this issue.
Closing this BZ.

Note You need to log in before you can comment on or make changes to this bug.